Bug 1147894 - jenkins: No such adjunct found: org.kohsuke.stapler.codemirror.theme.default
Summary: jenkins: No such adjunct found: org.kohsuke.stapler.codemirror.theme.default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jenkins
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-30 09:07 UTC by Mikolaj Izdebski
Modified: 2014-11-01 17:02 UTC (History)
1 user (show)

Fixed In Version: jenkins-remoting-2.46-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 17:02:28 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-09-30 09:07:04 UTC
Description of problem:
After going to script page in jenkins webapp, an exception appears in jenkins.log

Version-Release number of selected component (if applicable):
1.581-2

Steps to Reproduce:
1. go to script page in jenkins webapp, like http://192.168.122.31:8080/script

Actual results:
jenkins.log contains:

Sep 30, 2014 11:02:54 AM org.kohsuke.stapler.framework.adjunct.AdjunctsInPage findNeeded
WARNING: No such adjunct found: org.kohsuke.stapler.codemirror.theme.default
org.kohsuke.stapler.framework.adjunct.NoSuchAdjunctException: Neither org.kohsuke.stapler.codemirror.theme.default.css, .js, .html, nor .jelly were found
	at org.kohsuke.stapler.framework.adjunct.Adjunct.<init>(Adjunct.java:125)
	at org.kohsuke.stapler.framework.adjunct.AdjunctManager.get(AdjunctManager.java:151)
	at org.kohsuke.stapler.framework.adjunct.AdjunctsInPage.findNeeded(AdjunctsInPage.java:161)
	at org.kohsuke.stapler.framework.adjunct.AdjunctsInPage.generate(AdjunctsInPage.java:113)
	at org.kohsuke.stapler.jelly.AdjunctTag.doTag(AdjunctTag.java:80)
	at org.apache.commons.jelly.impl.TagScript.run(TagScript.java:269)
	at org.apache.commons.jelly.impl.ScriptBlock.run(ScriptBlock.java:95)
	at org.kohsuke.stapler.jelly.CallTagLibScript$1.run(CallTagLibScript.java:99)
	at org.apache.commons.jelly.tags.define.InvokeBodyTag.doTag(InvokeBodyTag.java:91)
	at org.apache.commons.jelly.impl.TagScript.run(TagScript.java:269)
	at org.apache.commons.jelly.impl.ScriptBlock.run(ScriptBlock.java:95)
	at org.apache.commons.jelly.tags.core.CoreTagLibrary$1.run(CoreTagLibrary.java:98)
	at org.apache.commons.jelly.impl.ScriptBlock.run(ScriptBlock.java:95)
	at org.apache.commons.jelly.tags.core.CoreTagLibrary$2.run(CoreTagLibrary.java:105)
	at org.kohsuke.stapler.jelly.CallTagLibScript.run(CallTagLibScript.java:120)
	at org.apache.commons.jelly.impl.ScriptBlock.run(ScriptBlock.java:95)
	at org.kohsuke.stapler.jelly.CallTagLibScript$1.run(CallTagLibScript.java:99)
	at org.apache.commons.jelly.tags.define.InvokeBodyTag.doTag(InvokeBodyTag.java:91)
	at org.apache.commons.jelly.impl.TagScript.run(TagScript.java:269)
	at org.apache.commons.jelly.impl.ScriptBlock.run(ScriptBlock.java:95)
	at org.kohsuke.stapler.jelly.ReallyStaticTagLibrary$1.run(ReallyStaticTagLibrary.java:99)
	at org.kohsuke.stapler.jelly.ReallyStaticTagLibrary$1.run(ReallyStaticTagLibrary.java:99)
	at org.apache.commons.jelly.impl.ScriptBlock.run(ScriptBlock.java:95)
	at org.kohsuke.stapler.jelly.ReallyStaticTagLibrary$1.run(ReallyStaticTagLibrary.java:99)
	at org.kohsuke.stapler.jelly.ReallyStaticTagLibrary$1.run(ReallyStaticTagLibrary.java:99)
	at org.apache.commons.jelly.impl.ScriptBlock.run(ScriptBlock.java:95)
	at org.kohsuke.stapler.jelly.ReallyStaticTagLibrary$1.run(ReallyStaticTagLibrary.java:99)
	at org.apache.commons.jelly.impl.ScriptBlock.run(ScriptBlock.java:95)
	at org.kohsuke.stapler.jelly.ReallyStaticTagLibrary$1.run(ReallyStaticTagLibrary.java:99)
	at org.apache.commons.jelly.impl.ScriptBlock.run(ScriptBlock.java:95)
	at org.apache.commons.jelly.tags.core.CoreTagLibrary$2.run(CoreTagLibrary.java:105)
	at org.kohsuke.stapler.jelly.CallTagLibScript.run(CallTagLibScript.java:120)
	at org.apache.commons.jelly.tags.core.CoreTagLibrary$2.run(CoreTagLibrary.java:105)
	at org.kohsuke.stapler.jelly.CallTagLibScript.run(CallTagLibScript.java:120)
	at org.apache.commons.jelly.tags.core.CoreTagLibrary$2.run(CoreTagLibrary.java:105)
	at org.kohsuke.stapler.jelly.JellyViewScript.run(JellyViewScript.java:81)
	at org.kohsuke.stapler.jelly.DefaultScriptInvoker.invokeScript(DefaultScriptInvoker.java:63)
	at org.kohsuke.stapler.jelly.DefaultScriptInvoker.invokeScript(DefaultScriptInvoker.java:53)
	at org.kohsuke.stapler.jelly.JellyRequestDispatcher.forward(JellyRequestDispatcher.java:55)
	at jenkins.model.Jenkins._doScript(Jenkins.java:3544)
	at jenkins.model.Jenkins.doScript(Jenkins.java:3514)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:483)
	at org.kohsuke.stapler.Function$InstanceFunction.invoke(Function.java:298)
	at org.kohsuke.stapler.Function.bindAndInvoke(Function.java:161)
	at org.kohsuke.stapler.Function.bindAndInvokeAndServeResponse(Function.java:96)
	at org.kohsuke.stapler.MetaClass$1.doDispatch(MetaClass.java:120)
	at org.kohsuke.stapler.NameBasedDispatcher.dispatch(NameBasedDispatcher.java:53)
	at org.kohsuke.stapler.Stapler.tryInvoke(Stapler.java:728)
	at org.kohsuke.stapler.Stapler.invoke(Stapler.java:858)
	at org.kohsuke.stapler.Stapler.invoke(Stapler.java:631)
	at org.kohsuke.stapler.Stapler.service(Stapler.java:225)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
	at org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:684)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1496)
	at hudson.util.PluginServletFilter$1.doFilter(PluginServletFilter.java:96)
	at hudson.util.PluginServletFilter.doFilter(PluginServletFilter.java:102)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1484)
	at hudson.security.csrf.CrumbFilter.doFilter(CrumbFilter.java:48)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1484)
	at hudson.security.ChainedServletFilter$1.doFilter(ChainedServletFilter.java:84)
	at hudson.security.ChainedServletFilter.doFilter(ChainedServletFilter.java:90)
	at hudson.security.HudsonFilter.doFilter(HudsonFilter.java:164)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1484)
	at org.kohsuke.stapler.compression.CompressionFilter.doFilter(CompressionFilter.java:46)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1484)
	at hudson.util.CharacterEncodingFilter.doFilter(CharacterEncodingFilter.java:81)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1476)
	at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:499)
	at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:137)
	at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:533)
	at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:231)
	at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1086)
	at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:428)
	at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:193)
	at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:1020)
	at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:135)
	at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:116)
	at org.eclipse.jetty.server.Server.handle(Server.java:370)
	at org.eclipse.jetty.server.AbstractHttpConnection.handleRequest(AbstractHttpConnection.java:494)
	at org.eclipse.jetty.server.AbstractHttpConnection.headerComplete(AbstractHttpConnection.java:971)
	at org.eclipse.jetty.server.AbstractHttpConnection$RequestHandler.headerComplete(AbstractHttpConnection.java:1033)
	at org.eclipse.jetty.http.HttpParser.parseNext(HttpParser.java:644)
	at org.eclipse.jetty.http.HttpParser.parseAvailable(HttpParser.java:235)
	at org.eclipse.jetty.server.AsyncHttpConnection.handle(AsyncHttpConnection.java:82)
	at org.eclipse.jetty.io.nio.SelectChannelEndPoint.handle(SelectChannelEndPoint.java:667)
	at org.eclipse.jetty.io.nio.SelectChannelEndPoint$1.run(SelectChannelEndPoint.java:52)
	at winstone.BoundedExecutorService$1.run(BoundedExecutorService.java:77)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
	at java.lang.Thread.run(Thread.java:745)

Comment 1 Fedora Update System 2014-10-14 10:29:32 UTC
jenkins-remoting-2.46-2.fc21,jenkins-ant-plugin-1.2-2.fc21,jenkins-credentials-plugin-1.10-5.fc21,jenkins-external-monitor-job-plugin-1.2-2.fc21,jenkins-javadoc-plugin-1.2-2.fc21,jenkins-junit-plugin-1.1-2.fc21,jenkins-mailer-plugin-1.11-2.fc21,jenkins-ssh-credentials-plugin-1.6.1-4.fc21,jenkins-ssh-slaves-plugin-1.6-4.fc21,js-yui2-2.9.0-7.fc21,js-CodeMirror-4.0.3-4.fc21,jenkins-1.581-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/jenkins-remoting-2.46-2.fc21,jenkins-ant-plugin-1.2-2.fc21,jenkins-credentials-plugin-1.10-5.fc21,jenkins-external-monitor-job-plugin-1.2-2.fc21,jenkins-javadoc-plugin-1.2-2.fc21,jenkins-junit-plugin-1.1-2.fc21,jenkins-mailer-plugin-1.11-2.fc21,jenkins-ssh-credentials-plugin-1.6.1-4.fc21,jenkins-ssh-slaves-plugin-1.6-4.fc21,js-yui2-2.9.0-7.fc21,js-CodeMirror-4.0.3-4.fc21,jenkins-1.581-3.fc21

Comment 2 Fedora Update System 2014-10-16 02:06:38 UTC
Package jenkins-remoting-2.46-2.fc21, jenkins-ant-plugin-1.2-2.fc21, jenkins-credentials-plugin-1.10-5.fc21, jenkins-external-monitor-job-plugin-1.2-2.fc21, jenkins-javadoc-plugin-1.2-2.fc21, jenkins-junit-plugin-1.1-2.fc21, jenkins-mailer-plugin-1.11-2.fc21, jenkins-ssh-credentials-plugin-1.6.1-4.fc21, jenkins-ssh-slaves-plugin-1.6-4.fc21, js-yui2-2.9.0-7.fc21, js-CodeMirror-4.0.3-4.fc21, jenkins-1.581-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jenkins-remoting-2.46-2.fc21 jenkins-ant-plugin-1.2-2.fc21 jenkins-credentials-plugin-1.10-5.fc21 jenkins-external-monitor-job-plugin-1.2-2.fc21 jenkins-javadoc-plugin-1.2-2.fc21 jenkins-junit-plugin-1.1-2.fc21 jenkins-mailer-plugin-1.11-2.fc21 jenkins-ssh-credentials-plugin-1.6.1-4.fc21 jenkins-ssh-slaves-plugin-1.6-4.fc21 js-yui2-2.9.0-7.fc21 js-CodeMirror-4.0.3-4.fc21 jenkins-1.581-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12898/jenkins-remoting-2.46-2.fc21,jenkins-ant-plugin-1.2-2.fc21,jenkins-credentials-plugin-1.10-5.fc21,jenkins-external-monitor-job-plugin-1.2-2.fc21,jenkins-javadoc-plugin-1.2-2.fc21,jenkins-junit-plugin-1.1-2.fc21,jenkins-mailer-plugin-1.11-2.fc21,jenkins-ssh-credentials-plugin-1.6.1-4.fc21,jenkins-ssh-slaves-plugin-1.6-4.fc21,js-yui2-2.9.0-7.fc21,js-CodeMirror-4.0.3-4.fc21,jenkins-1.581-3.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-11-01 17:02:28 UTC
jenkins-remoting-2.46-2.fc21, jenkins-ant-plugin-1.2-2.fc21, jenkins-credentials-plugin-1.10-5.fc21, jenkins-external-monitor-job-plugin-1.2-2.fc21, jenkins-javadoc-plugin-1.2-2.fc21, jenkins-junit-plugin-1.1-2.fc21, jenkins-mailer-plugin-1.11-2.fc21, jenkins-ssh-credentials-plugin-1.6.1-4.fc21, jenkins-ssh-slaves-plugin-1.6-4.fc21, js-yui2-2.9.0-7.fc21, js-CodeMirror-4.0.3-4.fc21, jenkins-1.581-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.